AutoCAD Land Desktop (Read Only)
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Routine to edit single Point Object...

1 REPLY 1
Reply
Message 1 of 2
kryonix
220 Views, 1 Reply

Routine to edit single Point Object...

Sometimes it's hard to teach an old
dog new tricks.

This may sound whimpy but I'd love a command
similar to ddatte that would allow me to edit
the Point,Elev,& Desc of a Point Object without that
blasted Excel Looking spreadsheet. Does anyone
know of such a command currently available or
could point me in the right direction to generating
my own. I'm proficient with Lisp but am a novice
when it comes to VB.

Any help would be greatly appreciated.
1 REPLY 1
Message 2 of 2
Anonymous
in reply to: kryonix

Hi,
Below is some code that you can copy and paste into the code section of a
user module. Before it can run you must add the appropriate references.
Click Tools==>References and check the AEC Base Object Library, AEC Base
Application Library and AEC Land Type Library boxes. Click the Run button
(or F5 key), switch to the Acad screen and select an AECC Point. If you
modify a pt with this code, only the onscreen data will change. The pt info
in the database will not change. That's more code to get them in sync.

I'm pretty sure you can do all this in VLisp but I know absolutely zip about
Lisp.

Good luck - Tom

'Code starts here
Option Explicit

Public Sub editPT()
Dim proj As AeccProject
Dim pt As AeccPoint
Dim sset As AcadSelectionSet
Dim groupCode As Variant
Dim dataCode As Variant
Dim dValue(0) As Variant
Dim gCode(0) As Integer

On Error Resume Next
Set proj = AeccApplication.ActiveProject
ThisDrawing.SelectionSets("sset").Delete
If Err.Number = 0 Then
Set sset = ThisDrawing.SelectionSets.Add("sset")
gCode(0) = 0
dValue(0) = "AECC_POINT"
groupCode = gCode
dataCode = dValue
Do
sset.Clear
sset.SelectOnScreen groupCode, dataCode
If sset.Count = 0 Then
Exit Do ' Nothing selected
Else
Set pt = sset.Item(0)
MsgBox "Desc = " & pt.Description & vbCrLf _
& "Elev = " & pt.Elevation
' pt.Elevation = pt.Elevation + 0.1 'Uncomment this line to modify
elev value
End If
Loop
End If

Set proj = Nothing
Set pt = Nothing
Set sset = Nothing
Set groupCode = Nothing
Set dataCode = Nothing
Set dValue(0) = Nothing

End Sub
'Code ends here

kryonix wrote in message
news:ef281a9.-1@WebX.SaUCah8kaAW...
> Sometimes it's hard to teach an old
> dog new tricks.
>
> This may sound whimpy but I'd love a command
> similar to ddatte that would allow me to edit
> the Point,Elev,& Desc of a Point Object without that
> blasted Excel Looking spreadsheet. Does anyone
> know of such a command currently available or
> could point me in the right direction to generating
> my own. I'm proficient with Lisp but am a novice
> when it comes to VB.
>
> Any help would be greatly appreciated.
>

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report